#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/korganizer/interfaces
  ${CMAKE_SOURCE_DIR}/korganizer/printing
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE yearprint.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/korganizer
  PO_DIR korganizer-desktops
)


##### libkorg_yearlyprint (module) ##############

tde_add_kpart( libkorg_yearlyprint AUTOMOC
  SOURCES calprintyearconfig_base.ui yearprint.cpp
  LINK korg_stdprinting-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
